Name: ovirt-engine-ui-extensions
Summary: oVirt UI Extensions
Version: 1.0.6
Release: 1%{?dist}
License: ASL 2.0
URL: http://www.ovirt.org/
Source: ovirt-engine-ui-extensions-1.0.6.tar.gz

BuildArch: noarch

BuildRequires: ovirt-engine-nodejs
BuildRequires: ovirt-engine-nodejs-modules
BuildRequires: ovirt-engine-yarn

Requires: ovirt-engine-webadmin-portal >= 4.3
Requires: ovirt-ansible-cluster-upgrade >= 1.1.12

Obsoletes: ovirt-engine-dashboard < 1.3
Provides: ovirt-engine-dashboard = 1.3

%description
UI plugin that provides various extensions to oVirt administration UI.

Extensions include:
  - dashboard
  - VM migrate dialog
  - Cluster upgrade wizard

%prep

# Unpack the source:
%setup -q -n %{name}-%{version}

# Set up Node.js environment with dependencies linked to ./node_modules:
source %{_datadir}/ovirt-engine-nodejs-modules/setup-env.sh

# Build the application:
yarn build

%install

# Install the files:
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -r dist/* %{buildroot}%{_datadir}/%{name}
cp -r ansible-playbooks %{buildroot}%{_datadir}/%{name}

# Ensure that Engine ui-plugins directory exists:
mkdir -p %{buildroot}%{_datadir}/ovirt-engine/ui-plugins

# Link plugin resources to Engine ui-plugins directory:
ln -s "%{_datadir}/%{name}/ui-extensions.json" "%{buildroot}%{_datadir}/ovirt-engine/ui-plugins"
ln -s "%{_datadir}/%{name}/ui-extensions-resources" "%{buildroot}%{_datadir}/ovirt-engine/ui-plugins"

# Ensure the Engine playbooks directory exists:
mkdir -p %{buildroot}%{_datadir}/ovirt-engine/playbooks

# Link plugin playbooks to Engine playbooks directory:
ln -s "%{_datadir}/%{name}/ansible-playbooks/ovirt-cluster-upgrade.yml" "%{buildroot}%{_datadir}/ovirt-engine/playbooks"

%files
%{_datadir}/%{name}
%{_datadir}/ovirt-engine/ui-plugins/ui-extensions.json
%{_datadir}/ovirt-engine/ui-plugins/ui-extensions-resources
%{_datadir}/ovirt-engine/playbooks/ovirt-cluster-upgrade.yml
%doc README.adoc
%license LICENSE

%changelog
* Tue Jun 25 2019 Sharon Gratch <sgratch@redhat.com> - 1.0.6-1
- update translations

* Tue May 21 2019 Greg Sheremeta <gshereme@redhat.com> - 1.0.5-1
- Fixed cluster upgrade execution timeout

* Fri Mar 22 2019 Greg Sheremeta <gshereme@redhat.com> - 1.0.4-1
- require ovirt-ansible-cluster-upgrade >= 1.1.12 to get engine events
- check and warn if a Cluster is in cluster_maintenance

* Mon Feb 4 2019 Greg Sheremeta <gshereme@redhat.com> - 1.0.3-1
- fix spec file to properly replace ovirt-engine-dashboard on upgrade
- update translations

* Wed Jan 9 2019 Greg Sheremeta <gshereme@redhat.com> - 1.0.2-1
- cluster upgrade wizard enhancements

* Fri Dec 14 2018 Scott J Dickerson <sdickers@redhat.com> - 1.0.1-1
- added handling for the cluster upgrade wizard ansible playbook

* Thu Jun 28 2018 Vojtech Szocs <vszocs@redhat.com> - 1.0.0-1
- created project based on ovirt-engine-dashboard master
